Skip to main content
`Ctrl`+`K`

# TaoBRGNSetRegularizerObjectiveAndGradientRoutine

Sets the user-defined regularizer call-back function into the algorithm.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetRegularizerObjectiveAndGradientRoutine(Tao tao, PetscErrorCode (*func)(Tao tao, Vec u, PetscReal *val, Vec g, void *ctx), void *ctx)

## Input Parameters

- tao - the Tao context

- func - function pointer for the regularizer value and gradient evaluation

- ctx - user context for the regularizer

## Calling sequence

- tao - the `Tao` context

- u - the location at which to compute the objective and gradient

- val - location to store objective function value

- g - location to store gradient

- ctx - user context for the regularizer Hessian

## See Also

`Tao`, `Mat`, `TAOBRGN`

## Level

advanced

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Examples

src/tao/leastsquares/tutorials/tomography.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages